@use "../styles";

/* Navigation-bar */

.navbar-collapse {
    position: relative;
    right: 0;
}

.navbar {
    display: flex;
    align-items: center;
    position: relative;

    /* z-index should be above .close-navbar-toggler */
    z-index: 2;
}

.toggler-bar {
    display: block;
    width: 1.563rem;
    height: 0.188rem;
    background-color: black;
    transition: background-color 0.3s ease;
}

.navbar-nav .nav-link {
    font-size: 1rem;
    display: flex;
    align-items: center;
}

.navbar-toggler:hover .toggler-bar {
    background-color: styles.$button-hover;
}

.navbar::after {
    content: "";
    position: absolute;
    width: 100%;
    height: 0.05rem;
    background-color: #fff;
    bottom: 0;
    left: 0;
}

/* Center navbar items */
li.nav-item {
    text-align: right;
    text-shadow: 0 0 15px #000;
}

img.navbar-brand {
    height: 6rem;
}

/* Animate hamburger menu */

.navbar-toggler {
    width: 30px;
    height: 20px;
    position: relative;
    transition: 0.5s ease-in-out;
    outline: none;
    box-shadow: none;
    margin-left: auto;
    background-color: transparent;
    border: none;
    cursor: pointer;
}

.navbar-toggler:focus,
.navbar-toggler:active,
.navbar-toggler-icon:focus {
    outline: none;
    box-shadow: none;
    border: 0;
    position: relative;
}

.navbar-toggler span {
    margin: 0;
    padding: 0;
}

.toggler-icon {
    display: block;
    position: absolute;
    height: 3px;
    width: 100%;
    background: #000;
    border-radius: 1px;
    opacity: 1;
    left: 0;
    transform: rotate(0deg);
    transition: 0.25s ease-in-out;
}

.middle-bar {
    margin-top: 0;
}

/* when navigation is clicked */

.navbar-toggler .top-bar {
    top: 8px;
    transform: rotate(135deg);
}

.navbar-toggler .middle-bar {
    opacity: 0;
    top: 8px;
    filter: alpha(opacity=0);
}

.navbar-toggler .bottom-bar {
    top: 8px;
    transform: rotate(-135deg);
}

/* State when the navbar is collapsed */

.navbar-toggler.collapsed .top-bar {
    position: absolute;
    top: 0;
    transform: rotate(0deg);
}

.navbar-toggler.collapsed .middle-bar {
    opacity: 1;
    position: absolute;
    top: 10px;
    filter: alpha(opacity=100);
}

.navbar-toggler.collapsed .bottom-bar {
    position: absolute;
    top: 20px;
    transform: rotate(0deg);
}

/* Close navbar by clicking outside of it */

.close-navbar-toggler {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    z-index: 1;
    cursor: pointer;
}

.close-navbar-toggler.collapsed {
    z-index: -1;
}

/* links and button colors */

.custom-btn {
    background-color: styles.$button-bg-dark;
    color: white;
    border-color: styles.$button-bg-dark;
    border-radius: 3.125rem;
}

.custom-btn:hover,
.custom-btn:focus {
    background-color: styles.$button-hover;
    border-color: styles.$button-hover;
}

.login {
    color: styles.$button-bg-dark;
    background-color: white !important;
}

.login:hover {
    color: styles.$button-hover;
}

/* footer */

.footer-link {
    color: white;
    text-decoration: none;
    white-space: nowrap;
}

.brand-logo {
    filter: invert(1);
}

footer a {
    font-size: 1.2rem;
}
